dnl ---------------------------------------------------------------------
dnl $Id: acinclude.m4,v 1.4 2003/09/02 13:36:15 alainjj Exp $
dnl ---------------------------------------------------------------------

dnl AC_TRY_VERBOSE_CFLAGS (CFLAGS, [ACTION-IF-WORKS], [ACTION-IF-FAILS])
dnl check if $CC supports a given set of cflags
AC_DEFUN([AC_TRY_VERBOSE_CFLAGS],
    [AC_MSG_CHECKING([if $CC supports $1 flags])
    SAVE_CFLAGS="$CFLAGS"
    CFLAGS="$1"
    AC_TRY_COMPILE([],[int main(void) { return 0; }],[ac_cv_try_cflags_ok=yes],[ac_cv_try_cflags_ok=no])
    CFLAGS="$SAVE_CFLAGS"
    AC_MSG_RESULT([$ac_cv_try_cflags_ok])
    if test x"$ac_cv_try_cflags_ok" = x"yes"; then
        ifelse([$2],[],[:],[$2])
    else
        ifelse([$3],[],[:],[$3])
    fi])

dnl AC_TRY_CFLAGS (CFLAGS, [ACTION-IF-WORKS], [ACTION-IF-FAILS])
dnl check if $CC supports a given set of cflags
AC_DEFUN([AC_TRY_CFLAGS],
    [SAVE_CFLAGS="$CFLAGS"
    CFLAGS="$1"
    AC_TRY_COMPILE([],[int main(void) { return 0; }],[ac_cv_try_cflags_ok=yes],[ac_cv_try_cflags_ok=no])
    CFLAGS="$SAVE_CFLAGS"
    if test x"$ac_cv_try_cflags_ok" = x"yes"; then
        ifelse([$2],[],[:],[$2])
    else
        ifelse([$3],[],[:],[$3])
    fi])

dnl ---------------------------------------------
dnl -------------include of xosd-2.2.2/libxosd.m4
dnl -- normally it is not necessary to include this
dnl -- because it is already in /usr/local/share/aclocal/libxosd.m4
dnl -- but if the packager has not libxosd then autogen.sh would fail

dnl AM_PATH_LIBXOSD([ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
dnl Test to see if libxosd is installed, and define LIBXOSD_CFLAGS, LIBXOSDLIBS
dnl
AC_DEFUN(AM_PATH_LIBXOSD,
[dnl
dnl Get the cflags and libraries from the xosd-config script
dnl
AC_ARG_WITH(xosd-config,
AC_HELP_STRING([--with-xosd-config=LIBXOSD_CONFIG],[Location of xosd-config]),
LIBXOSD_CONFIG="$withval")

AC_PATH_PROG(LIBXOSD_CONFIG, xosd-config, no)
AC_MSG_CHECKING(for libxosd)
if test "$LIBXOSD_CONFIG" = "no"; then
  AC_MSG_RESULT(no)
  ifelse([$2], , :, [$2])
else
  LIBXOSD_CFLAGS=`$LIBXOSD_CONFIG --cflags | sed -e 's/-g //' -e 's/-O. //' `
  LIBXOSD_LIBS=`$LIBXOSD_CONFIG --libs`
  AC_MSG_RESULT(yes)
  ifelse([$1], , :, [$1])
fi
AC_SUBST(LIBXOSD_CFLAGS)
AC_SUBST(LIBXOSD_LIBS)
])
dnl ------------- end xosd-2.2.2/libxosd.m4------------------
